Bug 464411 - Actions of attachment are not saved though it will take effect next time
Actions of attachment are not saved though it will take effect next time
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: thunderbird (Show other bugs)
5.2
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On: 464099
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-28 07:23 EDT by lihuang
Modified: 2009-03-25 19:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-20 17:11:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 466044 None None None Never

  None (edit)
Description lihuang 2008-09-28 07:23:24 EDT
+++ This bug was initially created as a clone of Bug #464099 +++

Description of problem:
Open an attachment,when the opening window popup,tick option "Do this automatically for files like this from now on", select "open with .." or "Save to Disk" ,click OK. Then go to Edit->Preferences->Attachments,click "View & Edit Actions", you will see, the action is not saved at all. But when you open the attachment again, it will automatically choose the selection you chose last time.

Version-Release number of selected component (if applicable):
thunderbird-1.5.0.12-16.el4

How reproducible:
Everytime

Steps to Reproduce:
# Please description.

Actual results:
Actions for attachment are not saved though will take effect next time

Expected results:
Actions for attachment should be saved in the list

Additional info:
Comment 1 Lawrence Lim 2008-09-28 22:20:46 EDT
Please include the version number for EL5.
Comment 2 Matěj Cepl 2008-11-08 12:54:57 EST
So, when I tried to reproduce with thunderbird-2.0.0.16-1.el5 I can confirm the described behavior, and that the correct value was stored in ~/.thunderbird/*.default/mimeTypes.rdf
Comment 3 lihuang 2008-11-18 00:53:04 EST
Reproduced with thunderbird-2.0.0.18-1.el5

And  I noticed that the action of opening a .doc file was stored in the configure file  and could be shown in the Preferences window correctly if openoffice.org hasn't been installed.
Comment 4 Matěj Cepl 2008-11-20 17:11:57 EST
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=466044) and believe that it is more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.
Comment 5 Cao, Chen 2009-03-20 01:23:18 EDT
this issue still exists in thunderbird-debuginfo-2.0.0.21-1.el5.i386
Comment 6 Matěj Cepl 2009-03-25 19:40:54 EDT
Apparently fixed in TB 3.0*beta* in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.